name: '{{plugin_name_full}}'
version: "0.0.1"
alias: "{{plugin_alias}}"
creator: "{{creator}}"
description: "{{description}}"
runtime:
  main: plugin.py
settings:
  base:
    #some_collector_setting:
    #  label: "label"
    #  type: int #or str, float
    #  required: false #or true
    #  description: "Description of the label"
    data_groups:
      label: "Data groups"
      type: list
  data_groups:
    group_label: 
      label: "Group label" 
      type: str
      required: true  
      description: "Unique name (per collector) of the data group"
    data_points:
      label: "Data points"
      type: list 
  data_points: 
    variable_name:
      label: "Variable name"
      type: str
      required: true
      description: "Variable name of the data point. Will be used when exporting data"
    unit:
      label: "Unit"
      type: str 
      required: false
      description: "Unit of the retrieved variable. SI-prefixes are understood"